<?php
require_once( 'functions.php' );

$errorline = ''; 

if ($_REQUEST['submit_me'] || $_REQUEST['submit_me_x']){
	if ( login_test() ) {
		$errorline = "Logged In Successfully";
		include 'main_menu.php';
		return(true);
	}
} 

#Will trigger unless submit_me is pressed and login_test returns true
print login_form();

function login_form(){
	global $dbh, $errorline;
	$line = "<html><head><title>Sign In</title></head><body>";
	if ($errorline){
		$line .= "<h2><font color='red'>$errorline</font></h2>";
	}
	$line .= "<h2>Sign In</h2>
		<form action='". $_SERVER['PHP_SELF'] ."' method='post'>
		<table border='1'><tr><td>Email</td><td><input type='text' size='20' name='email' value='". $_POST['email'] ."'></td></tr>
		<tr><td>Password</td><td><input type='password' name='password'></td></tr>
		<tr><td colspan='2'><input type='submit' value='Log In' name='submit_me'></td></tr>
		</table>
		</form>";
	$line .= "</body></html>";
	return($line);
}

function login_test(){
	global $dbh, $errorline;
	try {
		$sqlline = "select serial_id from user_input where email = ? and active = 'Y'";
		$sth = $dbh->prepare($sqlline);
		$sth->execute(array($_POST['email']));
		$row = $sth->fetch();
		if (!$row[0]){
			$errorline = "Username Or Password Incorrect";
			return(false);
		}

		$user = new user($row[0]);
		$user_pass = $user->get_password( trim( $_POST['password'] ) );
		if ($user_pass != $user->password){
			$errorline = "Username Or Password Incorrect";
                        return(false);
                }

		#If the passwords match it means we have a successful login


		#Set the session variables for the user session
		$vars = array('first_name', 'last_name', 'email', 'state', 'serial_id');
		foreach ($vars as $var){
			$_SESSION[$var] = $user->$var;
		}

		$user->logon();
	
		return(true);
	} catch (Exception $e) {
		return(false);
	}
}

		
